For the complete documentation index, see llms.txt. This page is also available as Markdown.

Shop Search

Scrape TikTok Shop search result pages by keyword.

The tiktok_shop_search source is designed to retrieve TikTok Shop search result pages.

Currently, our API only provides HTML output for this page type. However, you can easily build your own parser if you would like to get JSON-structured data.

Request samples

The samples below illustrates how you can get a TikTok Shop search result.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "tiktok_shop_search", 
        "query": "earrings"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    'source': 'tiktok_shop_search',
    'query': 'earrings'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload,
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

We use synchronous Realtime integration method in our examples. If you would like to use Proxy Endpoint or asynchronous Push-Pull integration, refer to the integration methods section.

Request parameter values

Parameter
Description
Default Value

source

Sets the scraper.

tiktok_shop_search

query

The keyword or phrase to search for products.

-

country

The domain localization setting. Supported values: com, jp, gb, my, th, vn, ph, id.

com

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Last updated

Was this helpful?